Softface 3D Help

  • User Guide
    Comprehensive help for all     Softface 3D 1.0 features.

  • Step By Step Tutorial
    Lesson for getting started and creating     photo realistic 3D face models.

© Copyright 1999, Eptron Multimedia. All rights reserved.


User Guide

  • Chapter 1: Basics
  • Chapter 2: Point Matching


Basics of Softface 3D 1.0

Chapter 1
Basics

This chapter will get you started with the following basic information on Softface 3D:

  • About Softface 3D 1.0
  • Getting Started
  • The Softface 3D Window


About Softface 3D 1.0

About Softface 3D

Softface 3D is a powerful facial scanning system that allows you to create real-like three-dimensional face models from two photographs. It is based on stereo vision and camera auto-calibration techniques so special hardware is not required (i.e. calibration devices, slide projectors, etc). You'll only need a digital camera and optionally a make-up pencil.

System Requirements

  • Microsoft® Windows 95 / 98 / NT® 4.0 / 2000
  • On Windows NT® 4.0 systems you'll need at least Service Pack 3. If you have a Pentium® III processor you must install Service Pack 4 or later and Intel® Streaming SIMD Extensions Driver (included on Service Pack 5). You can download the latest version of Intel® Streaming SIMD Extensions Driver for Windows NT® 4.0 Service Pack 4 here.
  • On Windows 9x / 2000 systems DirectX® 6 or later is required. You can download the latest version of Microsoft® DirectX® runtime here.

Hardware Requirements

  • Intel® Pentium® Processor with MMX® technology. Pentium® II processor recommended.
  • SVGA display adapter with High Color support. Hardware 3D support recommended.
  • 64 MB of RAM. 80 MB recommended.
  • 30 MB of space in the hard disk.
  • Digital camera. Olympus® C-1000L recommended.


Getting Started

  • Starting Softface 3D
  • Setting up the Photographs
  • Opening an Existing Softface 3D Project
  • Saving a Softface 3D Project
  • Exporting an Existing 3D Model


Starting Softface 3D

    To start Softface 3D

  1. On the Start menu, click Programs, then Eptron Softface 3D, then Softface 3D.

When Softface 3D initially starts, it checks the display settings and the presence of DirectX in the system. The following error messages may appear while starting Softface 3D:

  • "SoftFace 3D only works with a display resolution of 16 bpp or higher. Please change the display settings of the system". To avoid this message you must change the Color Palette in your Display Settings to more than 256 colors. For more information see Hardware Requirements.
  • "Error: Couldn't find any Direct 3D device". To avoid this error message DirectX must be installed in your system. For more information see System Requirements.

When Softface 3D starts a new empty project is created.


Setting up the Photographs

When you start a new project from scratch, the first task is to set up the images that will be used to create the 3D model. A copy of the specified images will be saved into the project file.

    To set up the photographs

  1. On the toolbar, click the Set Images button. [New Animation tool]

    Or, on the Project menu, click Set Images. (Shortcut Keys: CTRL+W)

  2. In the Set Images dialog box, click the Browse button in the Image 1 Frame.

  3. Select the desired image file (BMP file format) in the Open dialog box and click the Open button.

  4. In the Set Images dialog box, click the Browse button in the Image 2 Frame.

  5. Select the desired image file (BMP file format) in the Open dialog box and click the Open button.

  6. In the Set Images dialog box, click the OK button.


Opening an Existing Softface 3D Project

You can open and edit a previously saved project. Softface 3D project files have the extension .stf and the icon [image].

    To open an existing project

  1. On the toolbar, click the Open button. [New Animation tool]

    Or, on the File menu, click Open. (Shortcut Keys: CTRL+O)

  2. In the Open dialog box, double-click the file name (.stf file) (or click the file name, then click Open).

From the Windows Explorer, you can drag-and-drop project files right into Softface 3D. Also you can double-click the desired project file to automatically start Softface 3D and open it.

Opening a Recently Used Project

The bottom of the File menu lists the four most recently opened/saved project files, in order of most recent use.

    To open a recently opened/saved project

  1. On the File menu, recent scenes list, click a project file name.

If a project is already opened (but has not yet been edited) when you select a "recent project", Softface 3D will close the current project, then open the selected "recent project". If the currently opened project has been edited when you select the "recent project", Softface 3D will prompt you to first save/close the current project.


Saving a Softface 3D Project

You can save a project to a file at any time. In general, as you identify matching points in both images of the project, you may want to save it early on and then periodically save it again as your 3D model grows more complex.

    To save a new project (or with a new file name)

  1. On the toolbar, click the Save button. [New Animation tool]

    Or, on the File menu, click Save (Shortcut Keys: CTRL+S) or Save As.

  2. In the Save As dialog box, select a folder and type a file name for the project.
    (The suggested default file name is "Untitled".)

For project file names, Softface 3D uses the file extension .stf, and the program will automatically assign that extension for you.


Exporting an Existing 3D Model

When your 3D model is finished you may want to export it to a file format usable by other applications. Softface 3D can export the 3D model to a proprietary format (.s3d extension) and to VRML 2.0 format (.wrl extension).

    To export a 3D model from an existing project

  1. Select a 3D Model View. If there is not any 3D Model View visible, right-click on a panel (a context menu will be displayed), pop-up the View submenu an click on 3D Model (for more information see How to Change the View in a Pane). (Shortcut Keys: F4)

  2. On the toolbar, click the Export 3D Model button. [New Animation tool]

    Or, on the File menu, click Export 3D Model.

  3. In the Save As dialog box, select a file type in the Save As Type combo box.
    (The default file type is .s3d.)

  4. In the Save As dialog box, select a folder and type a file name for the 3D model.
    (The suggested default file name is "Untitled".)

Softface 3D will automatically assign the appropriate extension to the file name for you.

If the file type chosen is VRML 2.0 (.wrl extension), Softface 3D will save the texture in JPEG format in the same location and with the same file name (but with the .jpg extension). For example, if you export a 3D model to "c:\models\mymodel.wrl" the texture will be saved to "c:\models\mymodel.jpg".


The Softface 3D Window

Softface 3D is designed with an intuitive user interface for creating 3D face models from photos. The Softface 3D Main Window is formed by a menu bar, a toolbar, a status bar and three panes in which you can view different elements of a project.

A Softface 3D project consist in two images, a variable number of matching points in both images and the resulting 3D model and texture. You can edit any of these elements using the following views:

  • Image 1 and Image 2 Views
  • 3D Model View
  • Texture View
By default, when a new project is started only the Image 1 and Image 2 views are available. The other views become available when the 3D model is rendered.

How to Change the View in a Pane

You can select any view in a pane. For example, you may want to view the two images in the left panes and the 3D model in the right one.

To change the view in a pane

  1. Select the target pane by clicking on it.

  2. On the toolbar, click the Views drop-down button. Choose the desired view.

    Or, on the View menu, choose the desired view. (Shortcut Keys: F1-F4)


Image 1 and Image 2 Views

The main purpose of the Image 1 and Image 2 views is to supply to the user tools for specifying matching points between the two photos. Here we will explain the following basic operations:

  • Editing Point Matches
  • Sliding the Image
  • Zooming the Image
  • Selecting a ROI
  • Changing Visualization Options

There is a complete chapter focused on point matching (see Chapter 2: Point Matching for more information).

Note that the title bar of the Image View displays some useful information: the image dimensions and the current scale in percentage.

Editing Point Matches

The default state of the Image View is the Edit Mode in which you can select and delete point matches. The point matches are the green crosses on the image (the selected point matches are painted in red).

To select point matches

  1. If the view is not on edit mode: On the toolbar, click the Edit button.

  2. Click on the desired point match.

Or, if you want to select a group of point matches, click and drag the mouse over the desired group of points.

Note that if you press SHIFT while selecting points the Image View will maintain the previous selection (like in most applications).

When you make a selection on a image the homologous image will be updated. For example, if you select a point in the Image 1 View, the corresponding point will be selected in the Image 2 View.

To delete point matches

  1. Select the point match or point matches you want to delete.

  2. On the toolbar, click the Delete button.

Or, on the Edit menu, click Delete. (Shortcut Keys: DEL)

Sliding the Image

In most cases the Image View will only show part of the image, so it is interesting to slide the image to view a different area.

To slide the image

  1. On the toolbar, click the Slide button.

    Or, in the keyboard press the SPACE key.

  2. Click and drag the mouse over the image.

If you slide the image with the SPACE bar the view will return to the default state when the key is released.

Zooming the Image

You can change the scale in which the Image View shows the image. This can be done in two ways: with the mouse or with the Zoom In and Zoom Out operations. With the mouse the scale increments or decrements in steps of 1%. With the Zoom In and Zoom Out operations the scale changes in steps of 25%. You can also change the scale of the image to fit in the view.

To change the scale with the mouse

  1. On the toolbar, click the Zoom button.

    Or, in the keyboard press the CTRL key.

  2. Click and drag the mouse in the top direction if you want to decrement the scale or in the bottom direction if you want to increment the scale.

If you change the scale with the CTRL key the view will return to the default state when the key is released.

To zoom in the image

  1. On the toolbar, click the Zoom In button.

    Or, on the Image menu, click Zoom In. (Shortcut Keys: CTRL+Plus)

To zoom out the image

  1. On the toolbar, click the Zoom Out button.

    Or, on the Image menu, click Zoom Out. (Shortcut Keys: CTRL+Minus)

To fit the image in the view

  1. On the toolbar, click the Fit To Window button.

    Or, on the Image menu, click Fit To Window. (Shortcut Keys: CTRL+F)

Selecting a ROI

Selecting a ROI (Region Of Interest) in a image is useful only if you are using Automatic Matching (the matching algorithm will focus only in the selected regions of both images). However, you will see that in the Texture View ROIs are used with a different purpose. By default a ROI includes the whole image.

To select a ROI

  1. On the toolbar, click the ROI selection button.

    Or, in the keyboard press the R key.

  2. Click on the handles to resize the ROI.

  3. Click inside the ROI to change it's position.

If you select a ROI with the R key the view will return to the default state when the key is released.

You can also set a ROI with a fixed size or with the same size and position as in the homologous image.

To set a ROI with a fixed size

  1. On the Image menu, pop up the Region Of Interest submenu and click Fixed Size. (Shortcut Keys: ALT+R).

  2. Type the desired size in the Width and Height fields of the Fixed Size ROI Dialog Box.

Or, check the Same as homologous image option if you want the same ROIs in both images.

You may want to set the ROI to the whole image when you finish your working with automatic matching. Of course you can do this manually by changing the ROI's size but there is a straight way.

To set a ROI to the whole image

  1. On the Image menu, pop up the Region Of Interest submenu and click Whole Image. (Shortcut Keys: ALT+W).

Changing Visualization Options

By default images are shown in full color and with the point matches identifiers (ids). You can change the way image and point matches are showed in the Image View. For example, you may want to view the image in grayscale, hide the point matches identifiers or show the disparity vectors (disparity is the distance between a point and his match in the homologous image).

To view the image in grayscale

  1. On the toolbar, click the Grayscale button.

Or, on the Image menu, click Grayscale.

To view the image in full color

  1. On the toolbar, click the Full Color button.

Or, on the Image menu, click Grayscale.

To hide or show point matches

  1. On the toolbar, click the Toggle Points button.

Or, on the Image menu, click Show Points.

To hide or show point identifiers

  1. On the toolbar, click the Toggle Point IDs button.

Or, on the Image menu, click Show Point IDs.

Note that Softface 3D will hide point identifiers automatically if the scale is less or equal than 100%.

To hide or show disparity vectors

  1. On the toolbar, click the Toggle Disparity Vectors button.

Or, on the Image menu, click Show Disparity Vectors.


3D Model View

The purpose of the 3D Model View is to show the resulting 3D reconstruction obtained from the photographs. Also, some editing capabilities are provided with this view (mesh scaling and smoothing). Here we will explain the following operations:

  • Rotating the Camera
  • Zooming the Camera
  • Sliding the Camera
  • Smoothing the Mesh
  • Turning On/Off Texturing
  • Changing the Texture Filtering Method
  • Turning On/Off Lighting
  • Changing the Shading Mode
  • Changing the Filling Mode

Note that the title bar of the 3D Model View displays the number of polygons that forms the mesh.

Rotating the Camera

You can rotate the camera in any direction. This is useful to explore the model from many points of view.

To rotate the camera

  1. On the toolbar, click the Arrow button.

  2. Click and drag the mouse over the 3D model.

Note that this is the default state of the 3D Model View.

Zooming the Camera

This is a common operation in most of 3D viewing applications. It may be useful to explore the details of the mesh.

To zoom the camera

  1. On the toolbar, click the Zoom button.

    Or, in the keyboard press the CTRL key.

  2. Click and drag the mouse in the top direction if you want to zoom out or in the bottom direction if you want to zoom in.

If you zoom the camera with the CTRL key the view will return to the default state when the key is released.

Sliding the Camera

You may want to slide the camera in the X-Y plane to explore different aspects of the model.

To slide the camera

  1. On the toolbar, click the Slide button.

    Or, in the keyboard press the SPACE key.

  2. Click and drag the mouse over the 3D model.

If you slide the camera with the SPACE bar the view will return to the default state when the key is released.

Smoothing the Mesh

Softface 3D provides two smoothing methods:

  • Subdivisions
  • Cubic Interpolation

The first method (subdivisions) performs a linear interpolation on the 3D points increasing the resolution in a non-uniform manner. The second method (cubic interpolation) performs a cubic interpolation of the 3D points on a 50x50 grid (uniformly).

To smooth the mesh

  1. On 3D Model menu, pop up the Mesh submenu and click Smooth On to turn on smoothing.

  2. On 3D Model menu, pop up the Mesh submenu and click on the desired smoothing method.

Note that the default smoothing method is Subdivisions.

Turning On/Off Texturing

You may want to hide or show the texture to view some details of the model.

To turn on/off texturing

  1. On 3D Model menu, pop up the Texture submenu and click Texture On.

By default Texturing is on.

Changing the Texture Filtering Method

Softface 3D provides two texture filtering methods:

  • Bilinear Filtering
  • Point Filtering

Bilinear filtering provides better results but require more time when you move, slide or rotate the camera. The default filtering method is Point Filtering.

To change the texture filtering method

  1. On 3D Model menu, pop up the Texture submenu and click on the desired filtering method.

Note that changing the filtering method is only available when texturing is turned on.

Turning On/Off Lighting

By default, the 3D Model View sets up a light in front of the model. You can turn on/off this light.

To turn on/off the default light

  1. On 3D Model menu, click Lighting On.

Changing the Shading Mode

Softface 3D provides two shading modes:

  • Flat Shading
  • Gouraud Shading

Flat shading takes light sources into consideration at face level (the same light value is used in a entire face), while Gouraud Shading averages light intensities over the face (this rounds the appearance of the mesh). Note that a face is a flat graphical element formed by three or more vertices (we are not speaking about the face model).

To change the shading mode

  1. On 3D Model menu, click on the desired shading mode.

Note that the default shading mode is Gouraud.

Changing the Filling Mode

Softface 3D provides three filling modes:

  • Point
  • Wireframe
  • Solid

In the Point mode only the vertices are shown. The Wireframe mode shows the faces formed by the vertices. And the Solid mode shows the mesh as a solid object.

To change the filling mode

  1. On 3D Model menu, click on the desired filling mode.

Note that the default filling mode is Solid.


Texture View

The Texture View provides an interface for editing the texture that is applied to the 3D model. With this view you can clean make-up markers and apply filters to the whole or part of the texture.

The texture image is extracted from the first image and his size is always 512x512 pixels.

You can slide and zoom the texture image like in the Image View (see Image 1 and Image 2 Views for more information).

Also you can select a ROI (Region Of Interest) in which the filters will be applied (like in the Image View, the default ROI includes the whole texture).

You can do the following operations in a Texture View:

  • Cleaning Markers with the Threshold & Median Filter
  • Cleaning Markers with the Eraser Tool
  • Applying a Blur Filter
  • Applying a Median Filter
  • Applying a Sharpen Filter

Note that the title bar of the Texture View displays the texture dimensions and the current scale in percentage (like in the Image View).

Cleaning Markers with the Threshold & Median Filter

This is the fastest method to clean the makers, although the results are better with the Eraser Tool. To get the best results you must apply this filter in a region of the texture only with skin and markers (avoid including part of an eye, an eye-brush or a lip).

To clean markers with the Threshold & Median Filter

  1. Select a ROI including skin and markers only (see Image 1 and Image 2 Views - Selecting a ROI for more information).

  2. On the Texture menu, pop-up the Marker Cleaning submenu and click Threshold & Median. (Shortcut Keys: CTRL+T)

  3. On the Threshold & Median dialog box, modify the slider until you get the desired result.

Cleaning Markers with the Eraser Tool

The Eraser Tool blends a different part of the texture (the Eraser Tool Origin) with the texture area pointed by the mouse.

To clean markers with the Eraser Tool

  1. On the Texture menu, pop-up the Marker Cleaning submenu and click Eraser Tool. (Shortcut Keys: CTRL+SHIFT+T)

  2. Click on the texture with the SHIFT key pressed to define the Eraser Tool Origin.

  3. Click and drag the mouse over a maker.

Applying a Blur Filter

The Blur Filter is a simple neighborhood averaging filter which causes the texture image to appear blurred.

To apply a blur filter to the texture

  1. Select the ROI where the filter will be applied (see Image 1 and Image 2 Views - Selecting a ROI for more information).

  2. On the Texture menu, click Blur.

  3. On the Blur Filter dialog box, modify the slider until you get the desired result.

Applying a Median Filter

The Median Filter has the effect of removing the noise in the texture image.

To apply a median filter to the texture

  1. Select the ROI where the filter will be applied (see Image 1 and Image 2 Views - Selecting a ROI for more information).

  2. On the Texture menu, click Median.

  3. On the Median Filter dialog box, modify the slider until you get the desired result.

Applying a Sharpen Filter

The Sharpen Filter is a high-pass filter which causes the texture image to appear sharpened.

To apply a sharpen filter to the texture

  1. Select the ROI where the filter will be applied (see Image 1 and Image 2 Views - Selecting a ROI for more information).

  2. On the Texture menu, click Sharpen.


Chapter 2: Point Matching

Chapter 2
Point Matching

In Softface 3D, Point Matching is necessary to obtain 3D vertices from two images. In this chapter, the following topics are discussed:

  • Overview
  • Manual Matching
  • Automatic Matching
  • Detecting False Matches
  • Rendering


Point Matching Overview

Overview

Point Matching is the process of identifying corresponding points in a pair of images (2D projections) of a three-dimensional object.

In Softface 3D, the three-dimensional object is a human face, and the projections are the two different photographs of that face.

As you can see in the right figure, a three-dimensional vertex can be computed with the 2D coordinates of his two projections. Of course another important information is needed: the position and orientation from which both photographs were taken.

Softface 3D can compute the position and orientation of the cameras if you provide 10 or more point matches. This process is called Rendering and produces a first version of the 3D model.

After the Rendering process you can provide more point matches to improve the resemblance of the 3D model.

Note that adding point matches after the Rendering process is easier because Softface 3D will tell you in which line of the image should be positioned the corresponding point (see the figure below).

There are two ways for adding point matches to a project, you can provide matches manually (by clicking corresponding points) or let Softface 3D to find point matches for you (Automatic Matching). The automatic process does not guarantee a 100% success.

Automatic Matching is not available in Softface 3D Lite.


Manual Matching

In the Manual Matching process you must select the same point of the face in both images. In some areas of the face this is obvious (e.g. a corner of an eye or a lip) but in others like forehead, nose, cheeks or chin it would be very difficult to identify corresponding points.

To make Manual Matching an easier task you can paint some black makers in the face before taking the photographs (you can use a make-up pencil). In fact, when you click on a maker with the auto-center feature enabled Softface 3D will compute the mass center of it, increasing the precision of the match. It is recommended to use auto-center when adding matches on markers.

    To add point matches manually

  1. On the toolbar, click the Manual Matching button. [New Animation tool]

    Or, on the Project menu, click Manual Matching. (Shortcut Keys: CTRL+ALT+M)

  2. Click on a point in one image.
    (Keep SHIFT key pressed if you want to use the auto-center feature)
    If you do this after the Render process a blue line will appear in the other image indicating where the second point should be positioned.

  3. Click on the corresponding point in the other image. A point match will be added to the project.
    (Keep SHIFT key pressed if you want to use the auto-center feature)

  4. Repeat step 2 and step 3 for all the point matches you want to add.

  5. Repeat step 1 to deactivate the Manual Matching Mode.


Automatic Matching

NOT AVAILABLE IN THIS VERSION


Detecting False Matches

False matches are corresponding points in the two images which are not the same point in the real object (they are not true matches).

This matches may appear if you make a mistake in the Manual Matching process (a pair of points are matched incorrectly) or can be produced by the Automatic Matching process (remember that a 100% success is not guaranteed).

False matches can spoil the resemblance of the 3D model, so it is necessary to detect and remove them.

As you can see in the figure, disparity vectors can help in the detection of false matches. The disparity vectors of a group of matches usually have the same shape, so if you detect that a disparity vector cross another vector of a near point there should be a false match in that location.


Rendering

In the Rendering process, Softface 3D compute the position and orientation from which both photographs were taken and produces a first version of the 3D model. Rendering will not be available if you don't provide 10 or more point matches.

    To render the 3D model

  1. On the toolbar, click the Render button. [New Animation tool]

    Or, on the Project menu, click Render. (Shortcut Keys: CTRL+R)

Sometimes the resulting 3D Model can be wrong. This may happen if the photographs were taken in bad conditions or because there are a lot of false matches. If the cause is false matches, you must remove the render data, detect and delete the false matches and finally render the model again.

    To remove the render data

  1. On the toolbar, click the Remove Render button. [New Animation tool]

    Or, on the Project menu, click Remove Render. (Shortcut Keys: CTRL+ALT+R)


Step Taking the Photographs

Step 1 Taking the Photographs

This can be considered one of the most important steps of the whole process of a 3D reconstruction of a face. The image shown above, demonstrates how the pictures should be taken. Please, be sure that the following procedure is accurately followed:
  1. Try to set the zoom of your camera (if available) at the focal length that minimizes lens distortion.
  2. Take the first picture (camera 1).
  3. Take the second picture (camera 2) by moving sideways a towards the target (e.g., the face).

The example showed in this tutorial has provided excellent results. Hence, try to follow the same criteria to take your pictures!


Step 2

Step 2: Creating a new project and adding the photographs

Create a new project

  • If you were already editing a project, you can easily start a new project by clicking on the New Project button
  • If you just started the Soft Face application, you don't need to click the New Project button.

    • Set up the images

Now you have to set up the photographs which will be used to create the 3D model. These are the steps:

  1. On the toolbar, click the Set Images button. [New Animation tool]

    Or, on the Project menu, click Set Images. (Shortcut Keys: CTRL+W)

  2. In the Set Images dialog box, click the Browse button in the Image 1 Frame.

  3. Select the desired image file (BMP file format) in the Open dialog box and click the Open button.

  4. In the Set Images dialog box, click the Browse button in the Image 2 Frame.

  5. Select the desired image file (BMP file format) in the Open dialog box and click the Open button.

  6. In the Set Images dialog box, click the OK button.


Step 3

Step 3: Adding point matches

In the Manual Matching process you must select the same point of the face in both images. In some areas of the face this is obvious (e.g. a corner of an eye or a lip) but in others like forehead, nose, cheeks or chin it would be very difficult to identify corresponding points.

To make Manual Matching an easier task you can paint some black makers in the face before taking the photographs (you can use a make-up pencil). In fact, when you click on a maker with the auto-center feature enabled Softface 3D will compute the mass center of it, increasing the precision of the match. It is recommended to use auto-center when adding matches on markers.

    To add point matches manually

  1. On the toolbar, click the Manual Matching button. [New Animation tool]

    Or, on the Project menu, click Manual Matching. (Shortcut Keys: CTRL+ALT+M)

  2. Click on a point in one image.
    (Keep SHIFT key pressed if you want to use the auto-center feature)
    If you do this after the Render process a blue line will appear in the other image indicating where the second point should be positioned.

  3. Click on the corresponding point in the other image. A point match will be added to the project.
    (Keep SHIFT key pressed if you want to use the auto-center feature)

  4. Repeat step 2 and step 3 for all the point matches you want to add.

  5. Repeat step 1 to deactivate the Manual Matching Mode.


Step 4

Step 4: Rendering the basic model

Rendering

In the Rendering process, Softface 3D will compute the position and orientation from which both photographs were taken and produces a first version of the 3D model. Rendering will not be available if you don't provide 10 or more point matches.

    To render the 3D model

  1. On the toolbar, click the Render button. [New Animation tool]

    Or, on the Project menu, click Render. (Shortcut Keys: CTRL+R)

Sometimes the resulting 3D Model can be wrong. This may happen if the photographs were taken in bad conditions or because there are a lot of false matches. If the cause is false matches, you must remove the render data, detect and delete the false matches and finally render the model again.

    To remove the render data

  1. On the toolbar, click the Remove Render button. [New Animation tool]

    Or, on the Project menu, click Remove Render. (Shortcut Keys: CTRL+ALT+R)

USEFUL HINTS

Try to select points in both images that are well distributed around the face. It is not a good strategy to focus on a single area (like the nose) to generate an initial 3D model. Go around the whole face, like cheeks, nose, forehead, etc.


Step 5

Step 5: Increasing the mesh resolution

Mesh resolution will be increased by adding more corresponding points to the project. If you already have a 3D reconstruction of a face (e.g., rendered it), after selecting two points in both views you will see the immediate result in the 3D window. You will also be able to increase the 3D accuracy in areas like lips and eyes, simply by selecting corresponding points! In the following paragraphs we will show you how to it.

Point Matching

Point Matching is the process of identifying corresponding points in a pair of images (2D projections) of a three-dimensional object.

In Softface 3D, the three-dimensional object is a human face, and the projections are the two different photographs of that face.

As you can see in the right figure, a three-dimensional vertex can be computed with the 2D coordinates of his two projections. Of course another important information is needed: the position and orientation from which both photographs were taken.

Note that adding point matches after the Rendering process is easier because Softface 3D will tell you in which line of the image should be positioned the corresponding point (see the figure below).

In the Manual Matching process you must select the same point of the face in both images. In some areas of the face this is obvious (e.g. a corner of an eye or a lip) but in others like forehead, nose, cheeks or chin it would be very difficult to identify corresponding points.

To make Manual Matching an easier task you can paint some black makers in the face before taking the photographs (you can use a make-up pencil). In fact, when you click on a maker with the auto-center feature enabled Softface 3D will compute the mass center of it, increasing the precision of the match. It is recommended to use auto-center when adding matches on markers.

    To add point matches manually

  1. On the toolbar, click the Manual Matching button. [New Animation tool]

    Or, on the Project menu, click Manual Matching. (Shortcut Keys: CTRL+ALT+M)

  2. Click on a point in one image.
    (Keep SHIFT key pressed if you want to use the auto-center feature)
    If you do this after the Render process a blue line will appear in the other image indicating where the second point should be positioned.

  3. Click on the corresponding point in the other image. A point match will be added to the project.
    (Keep SHIFT key pressed if you want to use the auto-center feature)

  4. Repeat step 2 and step 3 for all the point matches you want to add.

  5. Repeat step 1 to deactivate the Manual Matching Mode.


Step 6

Step 6: Cleaning the texture

Texture View

The Texture View provides an interface for editing the texture that is applied to the 3D model. With this view you can clean make-up markers and apply filters to the whole or part of the texture.

The texture image is extracted from the first image and his size is always 512x512 pixels.

You can slide and zoom the texture image like in the Image View (see Image 1 and Image 2 Views for more information).

Also you can select a ROI (Region Of Interest) in which the filters will be applied (like in the Image View, the default ROI includes the whole texture).

You can do the following operations in a Texture View:

  • Cleaning Markers with the Threshold & Median Filter
  • Cleaning Markers with the Eraser Tool
  • Applying a Blur Filter
  • Applying a Median Filter
  • Applying a Sharpen Filter

Note that the title bar of the Texture View displays the texture dimensions and the current scale in percentage (like in the Image View).

Cleaning Markers with the Threshold & Median Filter

This is the fastest method to clean the makers, although the results are better with the Eraser Tool. To get the best results you must apply this filter in a region of the texture only with skin and markers (avoid including part of an eye, an eye-brush or a lip).

To clean markers with the Threshold & Median Filter

  1. Select a ROI including skin and markers only (see Image 1 and Image 2 Views - Selecting a ROI for more information).

  2. On the Texture menu, pop-up the Marker Cleaning submenu and click Threshold & Median. (Shortcut Keys: CTRL+T)

  3. On the Threshold & Median dialog box, modify the slider until you get the desired result.

Cleaning Markers with the Eraser Tool

The Eraser Tool blends a different part of the texture (the Eraser Tool Origin) with the texture area pointed by the mouse.

To clean markers with the Eraser Tool

  1. On the Texture menu, pop-up the Marker Cleaning submenu and click Eraser Tool. (Shortcut Keys: CTRL+SHIFT+T)

  2. Click on the texture with the SHIFT key pressed to define the Eraser Tool Origin.

  3. Click and drag the mouse over a maker.

Applying a Blur Filter

The Blur Filter is a simple neighborhood averaging filter which causes the texture image to appear blurred.

To apply a blur filter to the texture

  1. Select the ROI where the filter will be applied (see Image 1 and Image 2 Views - Selecting a ROI for more information).

  2. On the Texture menu, click Blur.

  3. On the Blur Filter dialog box, modify the slider until you get the desired result.

Applying a Median Filter

The Median Filter has the effect of removing the noise in the texture image.

To apply a median filter to the texture

  1. Select the ROI where the filter will be applied (see Image 1 and Image 2 Views - Selecting a ROI for more information).

  2. On the Texture menu, click Median.

  3. On the Median Filter dialog box, modify the slider until you get the desired result.

Applying a Sharpen Filter

The Sharpen Filter is a high-pass filter which causes the texture image to appear sharpened.

To apply a sharpen filter to the texture

  1. Select the ROI where the filter will be applied (see Image 1 and Image 2 Views - Selecting a ROI for more information).

  2. On the Texture menu, click Sharpen.


Step 7

Step 7: Exporting the 3D Model

Exporting an Existing 3D Model

When your 3D model is finished you may want to export it to a file format usable by other applications. Softface 3D can export the 3D model to a proprietary format (.s3d extension) and to VRML 2.0 format (.wrl extension). (not available Softface3DLite)

    To export a 3D model from an existing project

  1. Select a 3D Model View. If there is not any 3D Model View visible, right-click on a panel (a context menu will be displayed), pop-up the View submenu an click on 3D Model (for more information see How to Change the View in a Pane). (Shortcut Keys: F4)

  2. On the toolbar, click the Export 3D Model button. [New Animation tool]

    Or, on the File menu, click Export 3D Model.

  3. In the Save As dialog box, select a file type in the Save As Type combo box.
    (The default file type is .s3d.)

  4. In the Save As dialog box, select a folder and type a file name for the 3D model.
    (The suggested default file name is "Untitled".)

Softface 3D will automatically assign the appropriate extension to the file name for you.

If the file type chosen is VRML 2.0 (.wrl extension), Softface 3D will save the texture in JPEG format in the same location and with the same file name (but with the .jpg extension). For example, if you export a 3D model to "c:\models\mymodel.wrl" the texture will be saved to "c:\models\mymodel.jpg".


Step By Step Tutorial

  • Step 1: Taking the photographs
  • Step 2: Creating a new project and adding the photographs
  • Step 3: Adding point matches
  • Step 4: Rendering the basic model
  • Step 5: Increasing the mesh resolution
  • Step 6: Cleaning the texture
  • Step 7: Exporting the 3D Model